/*!
 * Copyright (c) 2021 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/

@import '~eclipsefdn-solstice-assets/less/quicksilver/styles.less';
@import '_variables.less';

@font-face {
  font-family: "PlusJakartaSans-Regular";
  src: url("fonts/PlusJakartaSans/PlusJakartaSans-Regular.woff2") format("woff2"),
       url("fonts/PlusJakartaSans/PlusJakartaSans-Regular.woff") format("woff"),
       url("fonts/PlusJakartaSans/PlusJakartaSans-Regular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal; 
}

.bg-white {
  background-color: @white;
}

.toolbar-container-wrapper, .navbar-wrapper {
  position: relative;
  z-index: 4;
}

@media (max-width: @screen-sm-max) {
  .toolbar-row {
    text-align: center;
  }
}

#navbar-main-menu {
  float:none;
  .navbar-nav {
    @media (min-width: @screen-sm-min) {
      width:606px;
      float:none;
      margin:0 auto;
    }
  }
}

@media (min-width: @screen-sm-min) {
  #main-menu li > a:hover {
    text-decoration: none;
  }
  #main-menu a {
    font-weight: 700;
  }
}

.featured-jumbotron-home {
  background: #0F0026;
  background-image: none;
  position: relative;
  overflow: hidden;
  &:before {
    content: "";
    position: absolute;
    width: 360px;
    height: 360px;
    background-color:@off-white;
    bottom: -50px;
    border-radius: 1000px;
    margin: 0 auto;
    right: 0;
    left: 0;
    @media (min-width: @screen-sm-min) {
      width: 500px;
      height: 500px;
      bottom: -100px;
    }
  }
  &:after {
    background-image: url(images/shapes.png);
    background-repeat: no-repeat;
    background-size: contain;
    content: "";
    position: absolute;
    width: 300px;
    height: 300px;
    top: 0;
    right: 0;
    z-index: 2;
    pointer-events: none;

    @media (min-width: @screen-sm-min) {
      width: 500px;
      height: 500px;
    }
  }

  h1,
  .h1 {
    font-weight: 500;

    strong {
      font-weight: 900;
    }
  }
}

.jumbotron-circle {
  padding: 100px 40px 35px;
  text-align: center;
  z-index: 1;
  width: 360px;
  margin: 0 auto;

  h1 {
    position: relative;
    z-index: 3;
    color: #4c4d4e;
    font-size: 26px;
    margin-top: 8rem;
    margin-bottom: -10rem;
    &:after {
      display: none;
    }
    @media (min-width: @screen-sm-min) {
      font-size: 38px;
    }
    @media (min-width: @screen-lg-min) {
      margin-top: unset;
    }
  }
  @media (min-width: @screen-sm-min) {
    padding: 180px 80px 0px;
    width: 500px;
  }
}

.about-us-container, 
.working-group-container,
.initiating-members-container,
.join-us-container,
.architecture-container {
  padding: 60px 0 80px;
}

.about-us-container{
  background-color: @off-white;
  @media (max-width: @screen-sm-max) {
    text-align: center;
  }
}

.about-us-icons {
  li {
    margin: 30px 10px 0;
    width:85px;
    @media (min-width: @screen-sm-min) {
      width:100px;
      margin: 30px 70px 0;
    }
    @media (min-width: @screen-md-min) {
      width:175px;
    }
  }
  .about-us-icon-1 img {
    width:85px;
    @media (min-width: @screen-sm-min) {
      width:100px;
    }
    @media (min-width: @screen-md-min) {
      width:175px;
    }
  }
  .about-us-icon-2 img {
    width:70px;
    @media (min-width: @screen-sm-min) {
      width:90px;
    }
    @media (min-width: @screen-md-min) {
      width:150px;
    }
  }
  .about-us-icon-3 img {
    width:35px;
    @media (min-width: @screen-sm-min) {
      width:45px;
    }
    @media (min-width: @screen-md-min) {
      width:75px;
    }
  }
}

.initiating-members-container {
  background-color: @brand-secondary;
  h2 {
    color: @white;
  }
}

.eclipsefdn-members-list {
	margin: 40px 0 0;
	a {
		& {
			background-color: @white;
			width: 150px;
			max-width: 150px;
			height: 150px;
			border-radius: 75px;
		}
		.img-responsive {
			max-width: 100px;
		}
	}
}

.working-group-container {
  background-image: @working-group-container-bg-img;
}

.join-us-container {
  padding: 60px 0;
  .join-us-content {
    margin-bottom: 20px;
    font-size: 20px;
  }
}

.btn {
  padding: 8px 40px;
}

.btn-primary {
  &,
  &:visited,
  &:hover,
  &:focus,
  &:active {
    color: @black;
  }
}

@media screen and (min-width: 768px) {
  .event-timeline .timeline-item:before {
    right: -17%;
  }
  .event-timeline .timeline-item:nth-of-type(2n):before {
    left: -17%;
  }
}
 
.featured-footer {
  margin-top: 30px;
}

.featured-testimonials {
  padding:70px 0 50px;
  .testimonial-item {
    padding: 0;
    display: block;
    .author .job-title {
      color: darken(@brand-primary, 15%);
    }
    .content {
      font-size: 20px;
      @media screen and (min-width: 768px) {
        &:before, &:after {
          top:35px;
          font-size: 200px;
        }
      }
    }
  }
}

.text-twitter-primary {
  color: @twitter-primary;
}

.text-mastodon-primary {
  color: @mastodon-primary;
}

.text-linkedin-primary {
  color: @linkedin-primary;
}

.social-media-stack {
  display: flex;
  flex-direction: column;
  width: fit-content;
  padding: 1rem;
  margin-left: -15px;
  border-top-right-radius: 1rem;
  border-bottom-right-radius: 1rem;
  background-color: fade(@brand-secondary, 90%);
  font-size: 1.2rem;

  & > * {
    display: flex;
    align-items: center;
    gap: 1rem;
    margin-bottom: 1rem;

    &:hover {
      color: darken(white, 15%);
    }
  }

  &-text {
    width: 100%;
  }

  // Make fontawesome and image icons the same approximate size.
  .fa {
    min-width: 3rem;
    font-size: 3rem;
  }

  img {
    min-width: 3rem;
    max-height: 2.5rem;
    object-fit: contain;
  }

  @media (min-width: 500px) {
    background-color: unset;
  }

  @media (min-width: @screen-sm-min) {
    & > * {
      align-items: center;
    }
  }
}

.architecture-container {
  background-color: #fff;
  img {
    max-width: 100%;
    margin-bottom: 4rem;
  }
  
  p, ul {
    margin: auto;

    @media (min-width: @screen-sm-min) {
      width: 80%;
    }
  }
}

.hbspt-form {
  padding: 4rem;
  background-color: #fff;
  box-shadow: 0 0 14px #00000022;
  border-radius: 1rem;
}
